/* vertex shader
 * provided
 */
precision mediump float;

attribute vec3 aVertexPosition;
attribute vec2 aTexcoords;

uniform mat4 uWorldMatrix;
uniform mat4 uViewMatrix;
uniform mat4 uProjectionMatrix;

varying vec2 vTexcoords;

/*
 * @contains step #2
 */
void main(void) {
    // #2 declare and set coordinates
    vTexcoords = aTexcoords;

    gl_Position = uProjectionMatrix * uViewMatrix * uWorldMatrix * vec4(aVertexPosition, 1.0);
}

